Skip to main content
POST
Resolve an exception

Authorizations

Authorization
string
header
required

Bearer token authentication (format: "Bearer {token}")

Path Parameters

exceptionId
string<uuid>
required

Exception ID (UUID)

Example:

"550e8400-e29b-41d4-a716-446655440000"

Body

application/json
resolution
string
required

Resolution type applied

Required string length: 1 - 255
Example:

"ACCEPTED"

reason
string

Optional reason for the resolution

Maximum string length: 1000
Example:

"Variance within tolerance"

Response

OK

Exception details

assignedTo
string

User the exception is assigned to

Example:

"user@example.com"

createdAt
string

Creation timestamp in RFC3339 format

Example:

"2025-01-15T10:30:00.000Z"

dueAt
string

Due date for resolution in RFC3339 format

Example:

"2025-01-20T10:30:00.000Z"

externalIssueId
string

External issue ID in the external system

Example:

"RECON-1234"

externalSystem
string

External system where exception was dispatched

Example:

"JIRA"

id
string

Unique identifier for the exception

Example:

"019c96a0-10d2-7134-ba5f-664142ee7052"

reason
string

Reason the exception was raised

Example:

"Amount mismatch detected"

resolutionNotes
string

Resolution notes when resolved

Example:

"Resolved via force match"

resolutionReason
string

Reason for the resolution

Example:

"BUSINESS_DECISION"

resolutionType
enum<string>

Type of resolution applied

Available options:
FORCE_MATCH,
ADJUST_ENTRY
Example:

"FORCE_MATCH"

severity
enum<string>

Severity level

Available options:
LOW,
MEDIUM,
HIGH,
CRITICAL
Example:

"HIGH"

status
enum<string>

Current status

Available options:
OPEN,
ASSIGNED,
PENDING_RESOLUTION,
RESOLVED
Example:

"OPEN"

transactionId
string

Transaction ID this exception is for

Example:

"019c96a0-10ce-75fc-a273-dc799079a99c"

updatedAt
string

Last update timestamp in RFC3339 format

Example:

"2025-01-15T10:30:00.000Z"